﻿\version "2.11.47"

\include "wenchuan.ily"

#(ly:set-option 'point-and-click #f)
#(set-default-paper-size "a3")

\header {
  tagline = ##f
  title = \markup { \override #'(baseline-skip . 2) \center-align { \bold \fontsize #4 \override #'(font-name . "仿宋_GB2312") "大交响曲——汶川" \bold \fontsize #4 "Grand Symphony--Wenchuan" } }
  composer = \markup { \override #'(baseline-skip . 2) \center-align { \bold \fontsize #3 \override #'(font-name . "仿宋_GB2312") "胡海鹏" \fontsize #3 \bold "Hu Haipeng" } }
  copyright = "© 2008, All Rights Reserved"
}

  #(set-global-staff-size 8)

  %% Movement I

  \score {
    \new StaffGroup = "orchestra" <<
    \set Score.skipBars = ##f
    \new InnerStaffGroup = "woodwind" \with { systemStartDelimiter =
      #'SystemStartBrace } <<
      \new GrandStaff = "piccolo and flutes" <<
        \new MarkLine { \Imarks }
        \new Staff = "piccolo" {
          \set Staff.instrumentName = "Piccolo"
          \set Staff.shortInstrumentName = "Pic."
        \Ipiccolo
        }
        \new Staff = "flute 1" {
          \set Staff.instrumentName = "Flute I"
          \set Staff.shortInstrumentName = "Fl. I"
        \IfluteI
        }
        \new Staff = "flute 2" {
          \set Staff.instrumentName = "Flute II"
          \set Staff.shortInstrumentName = "Fl. II"
        \IfluteII
        }
        \new Staff = "flute 3" {
          \set Staff.instrumentName = "Flute III"
          \set Staff.shortInstrumentName = "Fl. III"
        \IfluteIII
        }
      >>
      \new GrandStaff = "oboes and english horn" <<
        \new Staff = "oboe 1" {
          \set Staff.instrumentName = "Oboe I"
          \set Staff.shortInstrumentName = "Ob. I"
        \IoboeI
        }
        \new Staff = "oboe 2" {
          \set Staff.instrumentName = "Oboe II"
          \set Staff.shortInstrumentName = "Ob. II"
        \IoboeII
        }
        \new Staff = "oboe 3" {
          \set Staff.instrumentName = "Oboe III"
          \set Staff.shortInstrumentName = "Ob. III"
        \IoboeIII
        }
        \new Staff = "English horn" {
          \set Staff.instrumentName = "English Horn"
          \set Staff.shortInstrumentName = "Eh."
        \Ienghorn
        }
      >>
      \new GrandStaff = "clarinets" <<
        \new Staff = "clarinet 1" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Clarinet I" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Cl. I"
        \IclarinetI
        }
        \new Staff = "clarinet 2" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Clarinet II" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Cl. II"
        \IclarinetII
        }
        \new Staff = "clarinet 3" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Clarinet 3" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Cl. III"
        \IclarinetIII
        }
        \new GrandStaff <<
          \new Staff = "bass clarinet" {
            \set Staff.instrumentName = \markup {
              \column { \line { "Bass Clarinet" }
                \line { "in B" \smaller \flat } } }
            \set Staff.shortInstrumentName = "Cl. I"
          \Ibassclarinet
          }
        >>
      >>
      \new GrandStaff = "bassoons" <<
        \new Staff = "bassoon 1" {
          \set Staff.instrumentName = "Bassoon I"
          \set Staff.shortInstrumentName = "Bn. I"
        \IbassoonI
        }
        \new Staff = "bassoon 2" {
          \set Staff.instrumentName = "Bassoon II"
          \set Staff.shortInstrumentName = "Bn. II"
        \IbassoonII
        }
        \new Staff = "bassoon 3" {
          \set Staff.instrumentName = "Bassoon III"
          \set Staff.shortInstrumentName = "Bn. III"
        \IbassoonIII
        }
      >>
    >>
    \new InnerStaffGroup = "brass" \with { systemStartDelimiter =
      #'SystemStartBrace } <<
      \new GrandStaff = "horns" <<
        \new Staff = "hornsI" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horn I & II" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. I & II"
        \IhornI
        }
        \new Staff = "hornsII" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horn III & IV" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. III & IV"
        \IhornII
        }
      >>
      \new GrandStaff = "trumpets" <<
        \new Staff = "trumpet 1" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Trumpet I" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Tp. I"
        \ItrumpetI
        }
        \new Staff = "trumpet 2" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Trumpet II" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Tp. II"
        \ItrumpetII
        }
        \new Staff = "trumpet 3" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Trumpet III" }
              \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Tp. III"
        \ItrumpetIII
        }
      >>
      \new GrandStaff = "trombones" <<
        \new Staff = "trombone 1" {
          \set Staff.instrumentName = "Trombone I"
          \set Staff.shortInstrumentName = "Tb. I"
        \ItromboneI
        }
        \new Staff = "trombone 2" {
          \set Staff.instrumentName = "Trombone II"
          \set Staff.shortInstrumentName = "Tb. II"
        \ItromboneII
        }
        \new Staff = "trombone 3" {
          \set Staff.instrumentName = "Trombone III"
          \set Staff.shortInstrumentName = "Tb. III"
        \ItromboneIII
        }
      >>
      \new Staff = "tuba 1" {
        \set Staff.instrumentName = "Tuba"
        \set Staff.shortInstrumentName = "Tu."
      \Ituba
      }
    >>
    \new InnerStaffGroup = "miselaneous" \with { systemStartDelimiter =
      #'SystemStartBrace } <<
      \new Staff = "timpani" {
        \set Staff.instrumentName = "Timpani"
        \set Staff.shortInstrumentName = "Timp."
      \Itimpani
      }
      \new GrandStaff = "percussion" <<
        \new Staff = "perc1" {
          \set DrumStaff.instrumentName = "Percussion I"
          \set DrumStaff.shortInstrumentName = "Perc. I"
        \IpercI
        }
        \new Staff = "perc2" {
          \set DrumStaff.instrumentName = "Percussion II"
          \set DrumStaff.shortInstrumentName = "Perc. II"
        \IpercII
        }
        \new Staff = "perc3" {
          \set DrumStaff.instrumentName = "Percussion III"
          \set DrumStaff.shortInstrumentName = "Perc. III"
        \IpercIII
        }
      >>
      \new PianoStaff = "harp" <<
        \set PianoStaff.instrumentName = "Harp"
        \set PianoStaff.shortInstrumentName = "Hrp."
        \set PianoStaff.connectArpeggios = ##t
        \new Staff = "rh" { \Iharprh }
        \new Staff = "lh" { \Iharplh }
      >>
    >>
    \new InnerStaffGroup = "strings" \with { systemStartDelimiter =
      #'SystemStartBrace } <<
      \new GrandStaff = "violins" <<
        \new MarkLine \with {
          \override MetronomeMark #'outside-staff-priority = #800
          \override RehearsalMark #'outside-staff-priority = #1200 } {
          \Imarks
        }
        \new Staff = "violin I" {
          \set Staff.instrumentName = "Violin I"
          \set Staff.shortInstrumentName = "Vn. I"
        \IviolinI
        }
        \new Staff = "violin II" {
          \set Staff.instrumentName = "Violin II"
          \set Staff.shortInstrumentName = "Vn. II"
        \IviolinII
        }
      >>
      \new Staff = "viola" {
        \set Staff.instrumentName = "Viola"
        \set Staff.shortInstrumentName = "Vl."
      \Iviola
      }
      \new Staff = "violoncello" {
        \set Staff.instrumentName = "Violoncello"
        \set Staff.shortInstrumentName = "Vc."
      \Icello
      }
      \new Staff = "contrabass" {
        \set Staff.shortInstrumentName = "Cb."
      \Icontrabass
      }
      >>
    >>
    \header {
      piece = \markup { \override #'(baseline-skip . 2) \center-align { \bold \fontsize #2 \override #'(font-name . "仿宋_GB2312") "天灾突降" \bold \fontsize #2 "Burst Of The Disaster" } }
    }
    \layout {
      \context {
        \RemoveEmptyStaffContext
      }
      \context {
        \type "Engraver_group"
        \name "MarkLine"
        \consists "Output_property_engraver"
        \consists "Axis_group_engraver"
        \consists "Mark_engraver"
        \consists "Metronome_mark_engraver"
        \override VerticalAxisGroup #'minimum-Y-extent = #'(-2 . 2 )
      }
      \context {
        \Score
        \remove "Mark_engraver"
        \remove "Metronome_mark_engraver"
        \accepts "MarkLine"
        \override Glissando #'breakable = ##t
        \override TextSpanner #'breakable = ##t
        \override DynamicSpanner #'breakable = ##t
      }
    }
  }

